<?php 
if(!@include 'approve.php') die( "approve.php was not found!");
$input = $_GET;

$rewrite_settings = get_rewrite_settings();
$base_uri = get_base_uri();

/* get language iso_code */
$query = "select iso_code from ". _DB_PREFIX_."configuration c";
$query .= " LEFT JOIN ". _DB_PREFIX_."lang l ON c.value=l.id_lang";
$query .= " WHERE c.name='PS_LANG_DEFAULT'";
$res=dbquery($query);
$row = mysqli_fetch_array($res);
$iso_code = $row['iso_code'];

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Active Modules Overview for Prestashop</title>
<style>
option.defcat {background-color: #ff2222;}
</style>
<link rel="stylesheet" href="style1.css" type="text/css" />
<script type="text/javascript" src="utils8.js"></script>
<script type="text/javascript" src="sorter.js"></script>
<script>
var prestashop_version = '<?php echo _PS_VERSION_ ?>';

function flip_visibility()
{ var tab = document.getElementById("Maintable");
  if(prestashop_version >= "1.6.0.0")
  { activecol = 4;
	authorcol = 3
  }
  else if(prestashop_version >= "1.5.0.0")
  { activecol = 4;
	authorcol = 3;
  }
  else /* PS 1.4 */
  { authorcol = 3;
	activecol = 4;
  }
  for(var i=1; i<tab.rows.length; i++)
  { tab.rows[i].style.display = "none";
	if (((!mainform.hideswitch.checked) || (tab.rows[i].cells[authorcol].innerHTML!="PrestaShop")) 
		&& ((mainform.showinactive.checked) || ((tab.rows[i].cells[activecol].innerHTML!="") && (tab.rows[i].cells[activecol].innerHTML!="0"))))
		    tab.rows[i].style.display = "table-row"; 
  }
}
</script>
</head>

<body>
<?php
print_menubar();
echo '<center><b><font size="+1">Active Modules Overview</font></b></center>';
echo "This overview of your active modules is mainly meant for the preparation of upgrades.";
echo "<br>Note that PS changed the way it stores the active status of modules around version 1.6.0. Please doublecheck the reports for around that version.";
echo "<br>These overviews may also help you when requesting support from someone for your shop.";
echo '<br>Note that "No config file" sometimes means that the module has been removed and that only its name is in the database.';
echo "<br>Devices are encoded as the sum of Mob=4|Tab=2|PC=1.";

echo '<p><form name=mainform>
<input type=checkbox name=showinactive onchange="flip_visibility();"> Show inactive modules<br>
<input type=checkbox name=hideswitch onchange="flip_visibility();"> Hide modules with author Prestashop
</form>';
/* note: in the 1.5 version being active is signalled by the active flag in the ps_module table */
/* in PS 1.6 the active flag is always 1 and being active is signalled by being present in the ps_module_shop table */
$totmodules=$prestamodules = 0;
$config_data = array();
if (_PS_VERSION_ >= "1.6.0.0")
{ $query="SELECT m.id_module,name,version,GROUP_CONCAT(id_shop) AS shops,GROUP_CONCAT(enable_device) AS devices FROM ". _DB_PREFIX_."module m";
  $query .= " LEFT JOIN ". _DB_PREFIX_."module_shop ms ON m.id_module=ms.id_module";
  $query .= " GROUP BY m.id_module";
  $query .= " ORDER BY name, enable_device, id_shop";
  $res=dbquery($query);

  $fields = array("id_module","name","version","author","id_shop","devices","displayname","description");
  echo '<div id="testdiv"><table id="Maintable" border=1><colgroup id=mycolgroup>';
  foreach($fields AS $field)
     echo '<col></col>'; /* needed for sort */
  echo '</colgroup><thead><tr>';
  $x=0;
  foreach($fields AS $field)
    echo '<th><a href="" onclick="this.blur(); return sortTable(\'offTblBdy\', '.$x++.', 0);" title="'.$field.'">'.$field.'</a></th
>';
  echo "</tr></thead><tbody id='offTblBdy'>"; /* end of header */
 
  $x=0;
  while ($datarow=mysqli_fetch_array($res)) {
//	if($datarow["shops"] == "") continue; /* left join will display products that are not in the module_shop table. Remove them. */
	analyze_configfile($datarow['name']);
	  if($datarow['shops']=="")
		echo '<tr style="display:none">';
	  else
		echo '<tr>';
      echo '<td>'.$datarow['id_module'].'</td>';
      echo '<td>'.$datarow['name'].'</td>';
      echo '<td>'.$datarow['version'].'</td>';
	  echo '<td>'.$config_data["author"].'</td>';	 
      echo '<td>'.$datarow['shops'].'</td>';		  
      echo '<td>'.$datarow['devices'].'</td>';
      echo '<td>'.$config_data["displayname"].'</td>';	
	  echo '<td>'.$config_data["description"].'</td>';
      echo '</tr>';
	  $shoplist = array();
	$totmodules++;
	if($config_data["author"] == "PrestaShop") $prestamodules++;
  }
  echo '</table></form></div>';
}
else if(_PS_VERSION_ >= "1.5.0.0")
{ $query="select m.id_module,active, name,version, GROUP_CONCAT(id_shop) AS shops FROM ". _DB_PREFIX_."module m";
  $query .= " LEFT JOIN ". _DB_PREFIX_."module_shop ms ON m.id_module=ms.id_module";
  $query .= " GROUP BY id_module";
  $query .= " ORDER BY name, id_shop";
  $res=dbquery($query);

  $fields = array("id_module","name","version","author","shops","active","displayname","description");
  echo '<div id="testdiv"><table id="Maintable" border=1><colgroup id=mycolgroup>';
  foreach($fields AS $field)
     echo '<col></col>'; /* needed for sort */
  echo '</colgroup><thead><tr>';
  $x=0;
  foreach($fields AS $field)
    echo '<th><a href="" onclick="this.blur(); return sortTable(\'offTblBdy\', '.$x++.', 0);" title="'.$field.'">'.$field.'</a></th
>';
  echo "</tr></thead><tbody id='offTblBdy'>"; /* end of header */
 
  $x=0;
  while ($datarow=mysqli_fetch_array($res)) {
    /* Note that trid (<tr> id) cannot be an attribute of the tr as it would get lost with sorting */
	analyze_configfile($datarow['name']);
	if($datarow['active']=="1")
	  echo '<tr>';
	else
	  echo '<tr style="display:none">';
    echo '<td>'.$datarow['id_module'].'</td>';
    echo '<td>'.$datarow['name'].'</td>';
    echo '<td>'.$datarow['version'].'</td>';
	echo '<td>'.$config_data["author"].'</td>';	  
    echo '<td>'.$datarow['shops'].'</td>';
    echo '<td>'.$datarow['active'].'</td>';
    echo '<td>'.$config_data["displayname"].'</td>';	
	echo '<td>'.$config_data["description"].'</td>';	 
	
    $x++;
    echo '</tr>';
	$totmodules++;
	if($config_data["author"] == "PrestaShop") $prestamodules++;
  }
  echo '</table></form></div>';
}
else /* Prestashop 1.4 */
{ $query="select id_module,active, name FROM ". _DB_PREFIX_."module";
  $query .= " ORDER BY name";
  $res=dbquery($query);

  $fields = array("id_module","name","version","author","active","displayname","description");
  echo '<div id="testdiv"><table id="Maintable" border=1><colgroup id=mycolgroup>';
  foreach($fields AS $field)
     echo '<col></col>'; /* needed for sort */
  echo '</colgroup><thead><tr>';
  $x=0;
  foreach($fields AS $field)
    echo '<th><a href="" onclick="this.blur(); return sortTable(\'offTblBdy\', '.$x++.', 0);" title="'.$field.'">'.$field.'</a></th
>';
  echo "</tr></thead><tbody id='offTblBdy'>"; /* end of header */
 
  $x=0;
  while ($datarow=mysqli_fetch_array($res)) {
    /* Note that trid (<tr> id) cannot be an attribute of the tr as it would get lost with sorting */
	analyze_configfile($datarow['name']);
	if($datarow['active']=="1")
	  echo '<tr>';
	else
	  echo '<tr style="display:none">';
    echo '<td>'.$datarow['id_module'].'</td>';
    echo '<td>'.$datarow['name'].'</td>';
    echo '<td>'.$config_data["version"].'</td>';	
	echo '<td>'.$config_data["author"].'</td>';	 
	echo '<td>'.$datarow['active'].'</td>';
    echo '<td>'.$config_data["displayname"].'</td>';	
	echo '<td>'.$config_data["description"].'</td>';	 	
    $x++;
    echo '</tr>';
	$totmodules++;
	if($config_data["author"] == "PrestaShop") $prestamodules++;
  }
  echo '</table></form></div>';
}

  echo $totmodules." modules, of which ".$prestamodules." by Prestashop.";
  
  if(mysqli_num_rows($res) == 0)
	echo "<strong>No modules found... Strange...</strong>";

  include "footer.php";
  echo '</body></html>';
  
  function analyze_configfile($modulename)
  { global $triplepath, $iso_code, $config_data;
    $config_data["version"] = $config_data["author"] = $config_data["displayname"] = $config_data["description"] = "";
    $config_file = $triplepath.'modules/'.$modulename.'/config.xml';
    $fp = @fopen($config_file,"r");
	if(!$fp)
	{ $config_file = $triplepath.'modules/'.$modulename.'/config_'.$iso_code.'.xml';
      $fp = @fopen($config_file,"r");
	  if(!$fp)
	  { $config_data["author"] = "No config file";
	    return;
	  }
	}
	while(!feof($fp))
	{ $line = fgets($fp);
	  if(($pos1 = strpos($line,"<version>"))>0)
	  { $pos2 = strpos($line,"]");
		$config_data["version"] = substr($line, $pos1+18,$pos2-$pos1-18);
	  }
	  if(($pos1 = strpos($line,"<author>"))>0)
	  { $pos2 = strpos($line,"]");
		$config_data["author"] = substr($line, $pos1+17,$pos2-$pos1-17);
	  }
	  if(($pos1 = strpos($line,"<displayName>"))>0)
	  { $pos2 = strpos($line,"]");
		$config_data["displayname"] = substr($line, $pos1+22,$pos2-$pos1-22);
	  }
	  if(($pos1 = strpos($line,"<description>"))>0)
	  { $pos2 = strpos($line,"]");
		$config_data["description"] = substr($line, $pos1+22,$pos2-$pos1-22);
	  }
	}
  }

?>
