<?php 
if(!@include 'approve.php') die( "approve.php was not found!");
$input = $_GET;

$query="select value from ". _DB_PREFIX_."configuration";
$query .= " WHERE name='PS_REWRITING_SETTINGS'";
$res=dbquery($query);
$row = mysqli_fetch_array($res);
$rewrite_settings = $row['value'];

/* get default language: we use this for the categories, manufacturers */
$query="select value, l.name from ". _DB_PREFIX_."configuration f, ". _DB_PREFIX_."lang l";
$query .= " WHERE f.name='PS_LANG_DEFAULT' AND f.value=l.id_lang";
$res=dbquery($query);
$row = mysqli_fetch_array($res);
$id_lang = $row['value'];
$def_langname = $row['name'];

/* Get default country for the VAT tables and calculations */
$query="select l.name, id_country from ". _DB_PREFIX_."configuration f, "._DB_PREFIX_."country_lang l";
$query .= " WHERE f.name='PS_COUNTRY_DEFAULT' AND f.value=l.id_country AND l.id_lang='1'";
$res=dbquery($query);
$row = mysqli_fetch_array($res);
$countryname = $row['name'];
$id_country = $row["id_country"];

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Prestashop Product Multiedit</title>
<link rel="stylesheet" href="style1.css" type="text/css" />
<style>
option.defcat {background-color: #ff2222;}
</style>
<script type="text/javascript" src="utils8.js"></script>
<script type="text/javascript" src="sorter.js"></script>
<script>
function getElsByClassName(classname){
	var rv = []; 
	var elems  = document.getElementsByTagName('*')
	if (elems.length){
		for (var x in elems ){
			if (elems[x] && elems[x].className && elems[x].className == classname){
				rv.push(elems[x]);
			}
		}
	}
	return rv; 
}


</script>
</head>

<body>
<?php
print_menubar();
echo '<table style="width:100%" ><tr><td>';
echo "The following settings were used:<br/>";
echo "Default language=".$def_langname." (used for productnames)";
echo "<br/>Country=".$countryname." (used for VAT grouping and calculations)";
echo "<br/>Date is ".date("d M Y");
echo "<p>This page provides an overview of the special prices - something missing in PS. Those last inserted are shown first. The colored lines are either expired or not yet active.";
echo "</td></tr></table>";


  // "*********************************************************************";

$query = "SELECT s.reduction,s.id_shop,s.id_currency,s.id_country,s.id_group,s.price AS newprice,s.from_quantity,s.reduction, s.reduction_type,s.from,s.to, p.id_product,p.price, pl.name,t.rate,c.name AS country, id_shop, g.name AS groupname FROM ". _DB_PREFIX_."specific_price s";
$query.=" left join ". _DB_PREFIX_."product p ON p.id_product=s.id_product";
$query.=" left join ". _DB_PREFIX_."product_lang pl on p.id_product=pl.id_product AND pl.id_lang='".$id_lang."'";
$query.=" left join ". _DB_PREFIX_."image i on i.id_product=p.id_product and i.cover=1";
$query.=" left join ". _DB_PREFIX_."category_lang cl on cl.id_category=p.id_category_default AND cl.id_lang='".$id_lang."'";
$query.=" left join ". _DB_PREFIX_."tax_rule tr on tr.id_tax_rules_group=p.id_tax_rules_group AND tr.id_country='".$id_country."'";
$query.=" left join ". _DB_PREFIX_."tax t on t.id_tax=tr.id_tax";
$query.=" left join ". _DB_PREFIX_."tax_lang tl on t.id_tax=tl.id_tax AND tl.id_lang='".$id_lang."'";
$query.=" left join ". _DB_PREFIX_."country_lang c on s.id_country=c.id_country AND c.id_lang='".$id_lang."'";
$query.=" left join ". _DB_PREFIX_."group_lang g on g.id_group=s.id_group AND g.id_lang='".$id_lang."'";
$query.=" ORDER BY s.id_specific_price DESC";

  $res=dbquery($query);
  $numrecs2 = mysqli_num_rows($res);
  echo $numrecs2." displayed.";
//echo $query;

  $fields = array("id_product", "name", "price", "change","newprice","Min.Qu" ,"country","from", "to","group","shop");
  echo '<div id="testdiv"><table id="Maintable" border=1><colgroup id=mycolgroup>';
  foreach($fields AS $field)
     echo '<col></col>'; /* needed for sort */
  echo '</colgroup><thead><tr>';
  $x=0;
  foreach($fields AS $field)
    echo '<th><a href="" onclick="this.blur(); return sortTable(\'offTblBdy\', '.$x++.', 0);" title="'.$field.'">'.$field.'</a></th
>';

  echo "</tr></thead><tbody id='offTblBdy'>"; /* end of header */
 
  $x=0;
  while ($datarow=mysqli_fetch_array($res)) {
    /* Note that trid (<tr> id) cannot be an attribute of the tr as it would get lost with sorting */
	$background = "";
	if(($datarow["from"] != "0000-00-00 00:00:00") && ($datarow["from"] > date("Y-m-d H:i:s")))
	  $background = " style='background-color:#cccc00;'";
	if(($datarow["to"] != "0000-00-00 00:00:00") && ($datarow["to"] < date("Y-m-d H:i:s")))
	  $background = " style='background-color:#00cccc;'";
    echo '<tr'.$background.'>';

    echo '<td>'.$datarow['id_product'].'</td>';
    echo '<td>'.$datarow['name'].'</td>';
	$priceVAT = (($datarow['rate']/100) +1) * $datarow['price'];
    echo '<td>'.$datarow['price'].' / '.number_format($priceVAT,2, '.', '').'</td>';
	if($datarow['reduction_type'] == "amount")
	{   if($datarow['reduction'] == 0)
	       echo '<td>'.number_format($datarow['newprice'],2,".","").'</td>';
		else 
		   echo '<td>-'.number_format($datarow['reduction'],2,".","").'</td>';
	}
	else
		echo '<td>-'.($datarow['reduction']*100).'%</td>';
	if($datarow['newprice'] != 0)
	  $newprice = $datarow['newprice'];
	else if ($datarow['reduction_type'] == "amount")
	  $newprice = $priceVAT - $datarow['reduction'];
	else 
	  $newprice = $priceVAT*(1-$datarow['reduction']);
    echo '<td>'.number_format($newprice,2, '.', '').'</td>';
	echo '<td>'.$datarow['from_quantity'].'</td>';
	echo '<td>'.$datarow['country'].'</td>';
	echo '<td>'.$datarow['from'].'</td>';
	echo '<td>'.$datarow['to'].'</td>';
	echo '<td>'.$datarow['groupname'].'</td>';
	echo '<td>'.$datarow['id_shop'].'</td>';
    $x++;
    echo '</tr>';
  }
  
  if(mysqli_num_rows($res) == 0)
	echo "<strong>products not found</strong>";
  echo '</table></form></div>';
  
  echo '<div style="display:block;"><form name=rowform action="product_proc.php" method=post target=tank><table id=subtable></table><input type=hidden name=id_lang value="'.$id_lang.'"></form></div>';

  include "footer.php";
  echo '</body></html>';


/* get subcategories: this function is recursively called */
function get_subcats($cat_id) 
{ global $categories;
  $categories[] = $cat_id;
  if($cat_id == 0) die("You cannot have category with value zero");
  $query="select id_category from ". _DB_PREFIX_."category WHERE id_parent='".mysqli_real_escape_string($conn, $cat_id)."'";
  $res = dbquery($query);
  while($row = mysqli_fetch_array($res))
    get_subcats($row['id_category']);
}

?>
